
# konstanty
DEFAULT_ID = -1
DEFAULT_MARK = -1
DEFAULT_IP = "0.0.0.0"
DEFAULT_PROTOCOL = "UNKNOWN"
DEFAULT_IP_PROTOCOL = -1
DEFAULT_PORT = -1
DEFAULT_LENGTH = -1
RAW_DATA = -1


class Packet:

    def __init__(self, src_ip=DEFAULT_IP, dst_ip=DEFAULT_IP, protocol_ip=DEFAULT_IP_PROTOCOL,
                 transport_protocol=DEFAULT_PROTOCOL, src_port=DEFAULT_PORT,
                 dst_port=DEFAULT_PORT, payload_length=DEFAULT_LENGTH, mark=DEFAULT_MARK, raw_data=RAW_DATA):
        self.src_ip = src_ip
        self.dst_ip = dst_ip
        self.protocol_ip = protocol_ip
        self.transport_protocol = transport_protocol
        self.src_port = src_port
        self.dst_port = dst_port
        self.payload_length = payload_length
        self.mark = mark
        self.raw_data = raw_data

    def __str__(self):
        return str(self.src_ip) + "\n" \
               + str(self.dst_ip) + "\n" \
               + str(self.protocol_ip) + "\n" \
               + str(self.transport_protocol) + "\n" \
               + str(self.src_port) + "\n" \
               + str(self.dst_port) + "\n" \
               + str(self.payload_length) + "\n" \
               + str(self.mark) + "\n" \
               + str(self.raw_data) + "\n"


def make_packet(src_ip, dst_ip, protocol_ip, transport_protocol, src_port, dst_port, payload_length, mark, raw_data):
    return Packet(src_ip, dst_ip, protocol_ip, transport_protocol, src_port, dst_port, payload_length, mark, raw_data)


def set_mark_on_packet(packet, mark):
    packet.mark = mark
    return


def get_mark_from_packet(packet):
    return packet.mark


def get_src_ip_from_packet(packet):
    return packet.src_ip


def get_dst_ip_from_packet(packet):
    return packet.dst_ip


def get_transport_protocol_from_packet(packet):
    return packet.transport_protocol


def get_protocol_ip_from_packet(packet):
    return packet.protocol_ip


def get_dst_port_from_packet(packet):
    return packet.dst_port


def get_src_port_from_packet(packet):
    return packet.src_port
